//
//  TwoViewController.m
//  本地搜索
//
//  Created by 王冲 on 2017/11/8.
//  Copyright © 2017年 希爱欧科技有限公司. All rights reserved.
//

#import "TwoViewController.h"
//屏幕尺寸
#define CIO_SCREEN_WIDTH  [UIScreen mainScreen].bounds.size.width
#define CIO_SCREEN_HEIGHT  [UIScreen mainScreen].bounds.size.height
@interface TwoViewController ()<UITableViewDelegate,UITableViewDataSource,UISearchControllerDelegate,UISearchBarDelegate>

@property(nonatomic,strong)NSMutableArray *dataArray;

@end

@implementation TwoViewController

- (void)viewDidLoad {
    [super viewDidLoad];
   
    self.view.backgroundColor = [UIColor purpleColor];
    
    self.edgesForExtendedLayout = UIRectEdgeNone;
    
    [self.view addSubview:self.resultTableview];
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    
    return self.dataArray.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    UITableViewCell *cell1 = [tableView dequeueReusableCellWithIdentifier:@"cellTwo"];
    if (!cell1) {
        
        cell1 = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cellTwo"];
        cell1.selectionStyle = UITableViewCellSelectionStyleNone;
    }
    
    cell1.textLabel.text = self.dataArray[indexPath.row];
    
    return cell1;
}

-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    return 50;
}

-(UITableView* )resultTableview{
    
    if (!_resultTableview) {
        
        // UITableViewStyleGrouped
        _resultTableview = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, CIO_SCREEN_WIDTH, CIO_SCREEN_HEIGHT)];
        _resultTableview.separatorStyle = UITableViewCellSeparatorStyleNone;
        _resultTableview.delegate = self;
        _resultTableview.dataSource = self;
        _resultTableview.backgroundColor  = [UIColor brownColor];
    }
    
    return _resultTableview;
}

#pragma mark 下面的话题
-(NSMutableArray *)dataArray{
    
    if (!_dataArray) {
        
        _dataArray = [[NSMutableArray alloc]init];
    }
    
    return _dataArray;
}

-(void)setResultArray:(NSMutableArray *)resultArray{
    
    _resultArray = resultArray;
    
    [self.dataArray removeAllObjects];
    
    [self.dataArray addObjectsFromArray:_resultArray];
    
    [self.resultTableview reloadData];
    
}


-(void)remAllobect{
    
    [self.dataArray removeAllObjects];
    [self.resultTableview reloadData];
    
}

@end
